------------
-- Hunter --
------------
if (not Watcher) then
	return;
end

if (string.upper(select(2,  UnitClass('player'))) ~=  string.upper('Hunter')) then
	return;
end


Watcher.defaults.class.Hunter = {
   ["priorityLists"] = {
      [1] = {
         ["settings"] = {};
         ["spellConditions"] = {
            [1] = {
               ["filterSetId"] = 7;
               ["spellId"] = 53351;
               ["name"] = "Kill Shot";
            };
            [2] = {
               ["filterSetId"] = 6;
               ["spellId"] = 34026;
               ["name"] = "Kill Command";
            };
            [3] = {
               ["filterSetId"] = 4;
               ["spellId"] = 19574;
               ["name"] = "Bestial Wrath";
            };
            [4] = {
               ["filterSetId"] = 3;
               ["spellId"] = 117050;
               ["name"] = "Glaive Toss";
            };
            [5] = {
               ["filterSetId"] = 2;
               ["spellId"] = 120679;
               ["name"] = "Dire Beast";
            };
            [6] = {
               ["filterSetId"] = 11;
               ["spellId"] = 82692;
               ["name"] = "Focus Fire";
            };
            [7] = {
               ["filterSetId"] = 10;
               ["spellId"] = 3044;
               ["name"] = "Arcane Shot";
            };
            [8] = {
               ["filterSetId"] = 12;
               ["spellId"] = 77767;
               ["name"] = "Cobra Shot";
            };
         };
         ["name"] = "Beast Mastery";
         ["filters"] = {
            [1] = {
               ["specNum"] = 1;
               ["filterType"] = "spec";
            };
         };
      };
      [2] = {
         ["settings"] = {};
         ["spellConditions"] = {};
         ["name"] = "Marksmanship";
         ["filters"] = {
            [1] = {
               ["specNum"] = 2;
               ["filterType"] = "spec";
            };
         };
      };
      [3] = {
         ["settings"] = {};
         ["spellConditions"] = {};
         ["name"] = "Survival";
         ["filters"] = {
            [1] = {
               ["specNum"] = 3;
               ["filterType"] = "spec";
            };
         };
      };
   };
   ["spells"] = {
      [82692] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [5] = true;
            [11] = true;
         };
      };
      [2643] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [8] = true;
         };
      };
      [120679] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [2] = true;
         };
      };
      [117050] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [3] = true;
         };
      };
      [53351] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [7] = true;
         };
      };
      [77767] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [12] = true;
         };
      };
      [3044] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [9] = true;
            [10] = true;
         };
      };
      [19574] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [4] = true;
         };
      };
      [34026] = {
         ["settings"] = {
            ["label"] = "";
            ["keepEnoughResources"] = false;
         };
         ["filterSetIds"] = {
            [6] = true;
         };
      };
   };
   ["filterSets"] = {
      [2] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 120679;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [3] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 117050;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [4] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 19574;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [5] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 82692;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [6] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 34026;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [7] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 53351;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [8] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 2643;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [9] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 3044;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [10] = {
         ["settings"] = {};
         ["name"] = "Focus Dump";
         ["spellId"] = 3044;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
            [2] = {
               ["threshold"] = 60;
               ["invert"] = false;
               ["filterType"] = "power";
            };
         };
      };
      [11] = {
         ["settings"] = {};
         ["name"] = "Five Stacks";
         ["spellId"] = 82692;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
            [2] = {
               ["filterType"] = "auras";
               ["refreshThreshold"] = 0;
               ["auraName"] = "Frenzy";
               ["stackCount"] = 5;
               ["playerIsCaster"] = true;
               ["invert"] = true;
               ["isBuff"] = true;
            };
         };
      };
      [12] = {
         ["settings"] = {};
         ["name"] = "Usable";
         ["spellId"] = 77767;
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
   };
};
